package com.player.musicoo.service

import androidx.annotation.OptIn
import androidx.media3.common.PlaybackException
import androidx.media3.common.util.UnstableApi

@OptIn(UnstableApi::class)
class PlayableFormatNotFoundException : PlaybackException(null, null, ERROR_CODE_REMOTE_ERROR)

@OptIn(UnstableApi::class)
class UnplayableException : PlaybackException(null, null, ERROR_CODE_REMOTE_ERROR)

@OptIn(UnstableApi::class)
class LoginRequiredException : PlaybackException(null, null, ERROR_CODE_REMOTE_ERROR)

@OptIn(UnstableApi::class)
class VideoIdMismatchException : PlaybackException(null, null, ERROR_CODE_REMOTE_ERROR)
